<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/pre_print_controls_nav_graph"
    app:startDestination="@id/workspacePrePrint">

    <include app:graph="@navigation/edit_widgets_nav_graph" />
    <include app:graph="@navigation/terminal_nav_graph" />
    <include app:graph="@navigation/enter_value_nav_graph" />

    <action
        android:id="@+id/action_edit_widgets"
        app:destination="@id/edit_widgets_nav_graph"
        app:enterAnim="@anim/enterAnim"
        app:exitAnim="@anim/exitAnim"
        app:popEnterAnim="@anim/popEnterAnim"
        app:popExitAnim="@anim/popExitAnim" />

    <action
        android:id="@id/action_enter_value"
        app:destination="@id/enter_value_nav_graph"
        app:enterAnim="@anim/enterAnim"
        app:exitAnim="@anim/exitAnim"
        app:popEnterAnim="@anim/popEnterAnim"
        app:popExitAnim="@anim/popExitAnim" />

    <fragment
        android:id="@id/workspacePrePrint"
        android:name="de.crysxd.octoapp.pre_print_controls.ui.PrePrintControlsFragment"
        android:label="PrePrintControlsFragment"
        tools:layout="@layout/pre_print_controls_fragment">
        <action
            android:id="@+id/action_start_print"
            app:destination="@id/fileListFragment"
            app:enterAnim="@anim/enterAnim"
            app:exitAnim="@anim/exitAnim"
            app:popEnterAnim="@anim/popEnterAnim"
            app:popExitAnim="@anim/popExitAnim" />
        <action
            android:id="@id/action_open_terminal"
            app:destination="@id/terminal_nav_graph"
            app:enterAnim="@anim/enterAnim"
            app:exitAnim="@anim/exitAnim"
            app:popEnterAnim="@anim/popEnterAnim"
            app:popExitAnim="@anim/popExitAnim" />

    </fragment>


    <fragment
        android:id="@+id/fileListFragment"
        android:name="de.crysxd.octoapp.pre_print_controls.ui.select_file.SelectFileFragment"
        android:label="SelectFileFragment"
        tools:layout="@layout/select_file_fragment">

        <action
            android:id="@+id/action_open_folder"
            app:destination="@id/fileListFragment"
            app:enterAnim="@anim/enterAnim"
            app:exitAnim="@anim/exitAnim"
            app:popEnterAnim="@anim/popEnterAnim"
            app:popExitAnim="@anim/popExitAnim" />
        <argument
            android:name="folder"
            android:defaultValue="@null"
            app:argType="de.crysxd.octoapp.octoprint.models.files.FileObject$Folder"
            app:nullable="true" />
        <argument
            android:name="showThumbnailHint"
            android:defaultValue="false"
            app:argType="boolean" />
        <action
            android:id="@+id/action_show_file_details"
            app:destination="@id/fileDetailsFragment"
            app:enterAnim="@anim/enterAnim"
            app:exitAnim="@anim/exitAnim"
            app:popEnterAnim="@anim/popEnterAnim"
            app:popExitAnim="@anim/popExitAnim" />

    </fragment>

    <fragment
        android:id="@+id/fileDetailsFragment"
        android:name="de.crysxd.octoapp.pre_print_controls.ui.file_details.FileDetailsFragment"
        android:label="FileDetailsFragment"
        tools:layout="@layout/info_tab_fragment">
        <argument
            android:name="file"
            app:argType="de.crysxd.octoapp.octoprint.models.files.FileObject$File" />
    </fragment>

</navigation>